const getOrigin = (): string => {
  if (typeof window !== 'undefined') {
    return window.location.origin;
  }
  return process.env.VITE_API_DOMAIN || 'http://localhost:3000';
};

export const appInfo = {
  appName: 'FLXN',
  apiDomain: getOrigin(),
  websiteDomain: getOrigin(),
  apiBasePath: '/api/auth',
  websiteBasePath: '/auth',
}
